Debian Bug report logs - #488792
system-tools-backends: support /usr and /etc on different partitions

version graph

Package: system-tools-backends; Maintainer for system-tools-backends is Jose Carlos Garcia Sogo <jsogo@debian.org>; Source for system-tools-backends is src:system-tools-backends.

Reported by: James Westby <jw+debian@jameswestby.net>

Date: Tue, 1 Jul 2008 10:39:07 UTC

Severity: normal

Tags: patch

Found in version system-tools-backends/2.6.0-1

Fixed in version system-tools-backends/2.6.0-2

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Jose Carlos Garcia Sogo <jsogo@debian.org>:
Bug#488792; Package system-tools-backends. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
New Bug report received and forwarded. Copy sent to Jose Carlos Garcia Sogo <jsogo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: submit@bugs.debian.org
Subject: system-tools-backends: support /usr and /etc on different partitions
Date: Tue, 01 Jul 2008 11:28:15 +0100
[Message part 1 (text/plain, inline)]
Package: system-tools-backends
Version: 2.6.0-1
Severity: normal
Tags: patch
Forwarded: http://bugzilla.gnome.org/show_bug.cgi?id=541058
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu intrepid ubuntu-patch

Hi,

Attached is a patch from Steve Langasek to copy /etc/localtime
in case /usr is on a separate partition. Please consider applying
it.

Thanks,

James

[07_dont_symlink_localtime.patch (text/x-patch, attachment)]

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to James Westby <jw+debian@jameswestby.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 488792-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 488792-close@bugs.debian.org
Subject: Bug#488792: fixed in system-tools-backends 2.6.0-2
Date: Thu, 24 Jul 2008 09:17:41 +0000
Source: system-tools-backends
Source-Version: 2.6.0-2

We believe that the bug you reported is fixed in the latest version of
system-tools-backends, which is due to be installed in the Debian FTP archive:

system-tools-backends-dev_2.6.0-2_all.deb
  to pool/main/s/system-tools-backends/system-tools-backends-dev_2.6.0-2_all.deb
system-tools-backends_2.6.0-2.diff.gz
  to pool/main/s/system-tools-backends/system-tools-backends_2.6.0-2.diff.gz
system-tools-backends_2.6.0-2.dsc
  to pool/main/s/system-tools-backends/system-tools-backends_2.6.0-2.dsc
system-tools-backends_2.6.0-2_amd64.deb
  to pool/main/s/system-tools-backends/system-tools-backends_2.6.0-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488792@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated system-tools-backends package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Jul 2008 10:58:16 +0200
Source: system-tools-backends
Binary: system-tools-backends system-tools-backends-dev
Architecture: source all amd64
Version: 2.6.0-2
Distribution: unstable
Urgency: medium
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 system-tools-backends - System Tools to manage computer configuration -- scripts
 system-tools-backends-dev - System Tools to manage computer configuration -- development file
Closes: 469414 488792 488793
Changes: 
 system-tools-backends (2.6.0-2) unstable; urgency=medium
 .
   [ Emilio Pozuelo Monfort ]
   * debian/patches/04_correct_perl_command.patch:
     - Use the system perl, thanks to James Westby and Sebastien Bacher.
       Closes: #488793.
   * debian/rules:
     - Cleanup
   * debian/control:
     - Updated Standards-Version to 3.8.0, no changes needed.
 .
   [ Josselin Mouette ]
   * Switch to quilt for patch management; build-depend on quilt.
   * 07_dont_symlink_localtime.patch: patch from Ubuntu to support /etc
     being on a partition separate from /usr. Thanks Steve Langasek and
     James Westby. Closes: #488792.
   * 01_debian_4.0.patch: also support Debian 5.0 as lenny.
   * system-tools-backends.init: don't fail when STB is already running,
     which can happen when dbus was upgraded in the same run and started
     daemons using it. Closes: #469414.
   * Urgency medium for RC bug fix.
Checksums-Sha1: 
 760eacd6a3875a7aedec111dc6c785ba08058054 1446 system-tools-backends_2.6.0-2.dsc
 c1b0b181c6818fe2b43ccb9aad433b4386ab236e 9582 system-tools-backends_2.6.0-2.diff.gz
 725a1a6f4fc51ecf7d1e8c44569d5e009642ed61 76966 system-tools-backends-dev_2.6.0-2_all.deb
 8117e42e13b6e7553cac467a732099b6d7174c5b 176048 system-tools-backends_2.6.0-2_amd64.deb
Checksums-Sha256: 
 c61832668aedb1adf80031d6edc5557f0724825c2ed8b940e79dd4011b8ce22f 1446 system-tools-backends_2.6.0-2.dsc
 2e5f6742e9e1ae4db50df566301b61682fe38f55705328a86ba84003851e4b6c 9582 system-tools-backends_2.6.0-2.diff.gz
 87bdefdbfec8c4b2517cf0293b635cdc0a0e66ea8dd08e5d169b8de486775352 76966 system-tools-backends-dev_2.6.0-2_all.deb
 2bdb2e6ff97ab3a1a002fcddbc64966073fa8fe1839517cd378b9938c65538d3 176048 system-tools-backends_2.6.0-2_amd64.deb
Files: 
 19a69a1cbb1f9dcabbe87282ca057538 1446 admin optional system-tools-backends_2.6.0-2.dsc
 ee54f3088d28a6d001921eae72eddf8c 9582 admin optional system-tools-backends_2.6.0-2.diff.gz
 9ceb691e603d1b8c852f220806b8ed3b 76966 devel optional system-tools-backends-dev_2.6.0-2_all.deb
 fbdcc0d5d9baed9088881fb53cea3d35 176048 admin optional system-tools-backends_2.6.0-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIiEWXrSla4ddfhTMRAkP9AJ9q6A/MYDNE5CHirizH+GXWQtT+6ACgn4iV
9pU0uGfKX+LoT6UEc8paWAQ=
=iZZ8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Aug 2008 07:37:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:50:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.